Article 46344 of rec.games.video:
Newsgroups: rec.games.video
Path: uwm.edu!spool.mu.edu!uunet!gatech!rpi!batcomputer!cornell!uw-beaver!fluke!fleming
From: fleming@tc.fluke.COM (Christopher Fleming)
Subject: Review of LightningForce for Genesis
Message-ID: <1993Jan4.175657.8954@tc.fluke.COM>
Keywords: Genesis, LightningForce
Organization: John Fluke Mfg. Co., Inc., Everett, WA
Date: Mon, 4 Jan 1993 17:56:57 GMT
Lines: 56


Here is a review of "Lightning Force" for the sega genesis.  If you don't
like shooters, there's no need to read further.

Lightning Force is another Thunder Force shooter from Technosoft.  (If you
haven't played Thunderforce II or III, stop reading right now, and go out
and buy them.)  There are 10 levels of horizontally scrolling action, with
most levels being larger than one screen in height.  You get your standard
front and rear lasers to start with, and there are five additional weapons
you can collect via the usual shoot the powerup pods.  There are also
powerups for a shield to protect you for a certain number of hits, extra
lives, and the infamous 'claw' (two thingies which rotate around your ship
providing protection and extra firepower).  A new item of mass destruction
not found in the previous Thunderforce games, is after level five, the claw
alows you to fire a 'thunder sword' by letting the selected weapon power up,
then pressing the fire button (similar to the r-type fire mechanism).  Other
than that, it's nothing new, just blast through the level, and destroy a
boss critter (though that's all a good shooter needs to do :) ).
There are lots of options in the option screen, including a 4-level
difficulty select, number of starting lives, music playing, etc.

This game is very well done, and certainly has given me a lot of quality
play-time.  There are some points to note about the game, however.

For experienced shooter fans, do yourself a favor and turn the difficulty up
a notch from normal to hard.  The first seven levels are really easy (though
the last three are worthy of the best levels I have ever played!).  Most of
the lack of difficulty is due to a lot fewer bad guys, and very short
levels.  The number of levels though, and the more heinous boss characters,
make the game last a very reasonable length of time.

Speaking of boss characters, these are particularly well done, and require a
fair amount of blasting to destroy.  All have multiple parts which you must
destroy before you can get to the core of the boss.  Again, these are well
done.  The 10th level bad guy is really fun, and rather different than
usual.  Something well worth looking forward to!

The graphics are really, really beefed up.  If you like large enemies and
**lots** of parallax scrolling, this is your game.  Quite frankly, I was
suprised at what the Technosoft guys were able to make the genesis do.  You
all probably knew this was comming, but the game suffers from some serious
slowdown at times, often depending on what weapon you are firing.  This can
be used to your advantage, but most of the time, it's just an extreme
nuisance.

Most of the music is really, really good.  Some of it is as adrenalin
pumping as in MUSHA (high praise indeed!).  Check out the opening theme
music.  Definitely one to pipe through a good amp.

Overall, a fun game, and one all shooter fans should get, but sometimes
you'll think you're playing on a SNES with the pretty graphics and awful
slowdown.  Technosoft has gone backwards a bit in their balance between good
graphics and good gameplay.  Here's hoping their next release can achieve
the best of both.

-->Chris<--



Lightning Force -  Well, I guess personal tastes play a big part, but I think
that this game is THE shooter out there right now.  I picked up and played
Space Megaforce (as well as Axelay, and dogs such as Firepower 2000, Phalynx,
Imperium, and others) and thought it was very good.  I found this game to be
even better.  The graphics, sound, and gameplay were excellent, and it was 
simply fun to play.  I am not a huge shooter fan, but I found this one to be
the cream of the crop...

